Bug 1752190 - Installer tries to install rh-mongodb34-syspaths after packages are locked leading to Error: Nothing to do
Summary: Installer tries to install rh-mongodb34-syspaths after packages are locked le...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Martin Bacovsky
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-14 05:35 UTC by Nikhil Kathole
Modified: 2020-02-04 15:30 UTC (History)
6 users (show)

Fixed In Version: foreman-installer-1.22.0.15-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:49:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27884 None None None 2019-09-18 14:00:34 UTC

Description Nikhil Kathole 2019-09-14 05:35:27 UTC
Description of problem:

While installing satellite 6.6, installer throws error as Error: Nothing to do.

Datacat_fragment[foreman_proxy::enabled_features:: [99%]Installing             Service[smart_proxy_dynflow_core]                  [99%]Installing             Datacat_fragment[foreman_proxy::enabled_features:: [99%]Installing             Done                                               [100%]Installing             Done                                               [100%]
 Package versions are being locked.
 Error: Nothing to do
   Success!
   * Satellite is running at https://satellite.example.com
 
   * To install an additional Capsule on separate machine continue by running:
 
       capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" --certs-tar "/root/$CAPSULE-certs.tar"
 
   * To upgrade an existing 6.5 Capsule to 6.6:
       Please see official documentation for steps and parameters to use when upgrading a 6.5 Capsule to 6.6.
 
   The full log is at /var/log/foreman-installer/satellite.log
 

Version-Release number of selected component (if applicable):
Satellite 6.6 snap 20


How reproducible:
always

Steps to Reproduce:
1. Install satellite 6.6

Actual results:
Satellite install successfully but throws Error: Nothing to do as it tries to install rh-mongodb34-syspaths after version locking.


Expected results:
No error and rh-mongodb34-syspaths package checking should be before version locking.

Additional info:

Comment 4 Martin Bacovsky 2019-09-18 13:21:59 UTC
This actually is a problem in the order of installer hooks. Moving it back to the installer component.

Comment 5 Martin Bacovsky 2019-09-18 14:00:33 UTC
Created redmine issue https://projects.theforeman.org/issues/27884 from this bug

Comment 6 Eric Helms 2019-09-18 19:12:39 UTC
The new locking functionality allows certain, Satellite specific packages to get updated correct? I would consider anything related to the mongodb packages we use to be in the whitelist of updateable packages.

Comment 7 Martin Bacovsky 2019-09-19 08:48:10 UTC
@Eric wouldn't that be counterproductive? I think that especially Satellite related packages are risky to update freely.

I'd see the benefit in whitelisting e.g. debugging tools that we test to have no impact on the server.

For this particular issue I suggested to move the locking of packages at the end of the installer run so it doesn't prevent other hooks from installing stuff.

Comment 9 Nikhil Kathole 2019-09-23 07:47:43 UTC
VERIFIED

Version tested:
Satellite 6.6.0 snap 22

# rpm -qa | grep rh-mongodb34-syspaths
rh-mongodb34-syspaths-3.0-14.el7.x86_64
# rpm -qa | grep installer
foreman-installer-katello-1.22.0.15-1.el7sat.noarch
satellite-installer-6.6.0.21-1.el7sat.noarch
foreman-installer-1.22.0.15-1.el7sat.noarch

 [ INFO 2019-09-21T01:00:49 verbose] Puppet has finished, bye!
 [ INFO 2019-09-21T01:00:49 verbose] Executing hooks in group post
 [ INFO 2019-09-21T01:00:51 verbose] rh-mongodb34-syspaths not present, installing.
   Success!
   * Satellite is running at https://satellite.example.com
       Initial credentials are admin / changeme
 
   * To install an additional Capsule on separate machine continue by running:
 
       capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" --certs-tar "/root/$CAPSULE-certs.tar"
 
   * To upgrade an existing 6.5 Capsule to 6.6:
       Please see official documentation for steps and parameters to use when upgrading a 6.5 Capsule to 6.6.
 
   The full log is at /var/log/foreman-installer/satellite.log
 Package versions are being locked.
 [ INFO 2019-09-21T01:01:13 verbose] Package versions are being locked.
 [ INFO 2019-09-21T01:01:15 verbose] All hooks in group post finished
 [ INFO 2019-09-21T01:01:15 verbose] Installer finished in 1335.637050977 seconds

Comment 10 Bryan Kearney 2019-10-22 19:49:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.